<html>
<?php 
  if (!defined("CACHE"))
     define("CACHE", FALSE);

if (!defined("GLOBAL_CACHE"))
     define("GLOBAL_CACHE", false);

if (!defined("TTL"))
     define("TTL", 0);

if (!defined("PAGE_CACHE"))
     define("PAGE_CACHE", false);
header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header('Content-Type: text/html; charset=utf-8');
include_once('thesaurus.php');
include_once('epr.php');  
include_once('html_dom_parser.php');  

$eprno = $_GET['epr'];
$mode = $_GET['mode'];

$thesaurus = new Thesaurus();
$epr = new Epr();
$result="";
if($mode==0){
$result = $epr -> getEPR($eprno);}
$icd = $epr -> getICD($eprno);

$temp = array();
$i=0;
foreach($icd as $code){	
	$codedesc = $epr->getICDDesc($code);
	if($mode == 1){
		$result = $result . $code . " " . $codedesc . "\n";
	}
	$codedesc = utf8_decode($codedesc);
	$codedesc = str_ireplace(array("[", "]", "uspesifisert ", "andre ", "og ", "spesifiserte ", "i ", "p ", "medfdt ", "medfdte ", "uten ", "opplysning ", "om "), "", $codedesc);
	$codedesc = utf8_encode($codedesc);
	$codedesc = preg_replace("/[A-a-]*\./", "", $codedesc);
	$codedesc = trim($codedesc);
	$codedesc = str_replace(" ", "+", $codedesc);
	$dom = file_get_dom('http://www.pasienthandboka.no/default.asp?searchstring=' . $codedesc . '&mode=search');
	
	foreach($dom->find('td#searchresult') as $node){
	    foreach($node->find('a') as $link){ 
    		$temp[$i][$link->innertext][0] = $link->href;
			$temp[$i][$link->innertext][1] = $link->innertext;
	    }
	}
    $i++;	    
}
$epr->freeEPR();




$terms = $thesaurus -> translate($result);
?>
<head><title>Rikshospitalet - pasientvennlig presentasjon av EPJ</title>
<link type="text/css" href="epj.css" rel="stylesheet">
</head>

<body>

<div id="container">
<div id="logo">
<img src="pictures/logo.gif" align="left">
<img src="pictures/logg.jpg" align="right"><br><br><br>
<p>Pasientvennlig presentasjon av EPJ</p>
</div>
<div id="menu">
<br>

<a href="?epr=8210&mode=1"><img src="pictures/summ.jpg"></a><br>
<a href="?epr=8210&mode=0"><img src="pictures/journal.jpg"></a><br>
</div>

<div id="epj">
<?php

$newEPR= explode("\n", $result);
$i = 0;
foreach($newEPR as $line){
   $newWords = preg_split("/[\s]+/", $line);
   foreach($newWords as $word){	 
   $stopword = false;
   $printed = false;
   $trans = false;
   	for($k=0;$k<(count($terms[$i])-1);$k++){
   		if(($terms[$i][$k]['thesaurus'] == 2)&&(strcmp($word, "\r")!=0)&&strlen($word)!=0&&$terms[$i][$k]['explanation']==""){
   			$stopword = true;	
   		}
   		else if((count($terms[$i][$k]) == 4)&&(strcmp($word, "\r")!=0)&&strlen($word)!=0){
   			if(!$stopword){
			print ("<b><span title = '" . $terms[$i][$k]['term'] . " - " . $terms[$i][$k]['explanation'] . "' onmouseover=\"". strtolower(str_replace(array("-", " ", ".", ":", ","),"",$terms[$i]['original'])) . "1.style.fontWeight = 'bold';\" onmouseout=\"". strtolower(str_replace(array("-", " ",".",":", ","),"",$terms[$i]['original'])) . "1.style.fontWeight = 'normal';\">" . $word . "</span></b> ");}
			else{
			print ("<b><span title = '" . $terms[$i]['original'] . " - norsk ord' onmouseover=\"". strtolower(str_replace(array("-", " ", ".", ":", ","),"",$terms[$i]['original'])) . "1.style.fontWeight = 'bold';\" onmouseout=\"". strtolower(str_replace(array("-", " ",".",":", ","),"",$terms[$i]['original'])) . "1.style.fontWeight = 'normal';\">" . $word . "</span></b> ");}
   			$k=count($terms[$i]);
   			$printed = true;
   			$trans = true;
   		}
   		
   	}
   	if(!$printed){
			if($stopword){
				print("<i>" . $word . "</i> ");
			}
			else{
   				print($word . " ");}
   			
   		}
   	if(strcmp($word, "\r")!=0&&strlen($word)!=0){
   		$i++;
   	}
    		
   	
   
   	
   	
   }
   print ("<br>");
}

?>
</div>

<div id="desc">
<?php
$print_array = array();
foreach($terms as $term){
	$stopword = "";
	foreach($term as $result){
		if(count($result)==4){
			if ($print_array[strtoupper($term["original"])] != 1){
			if($stopword==""){
			print("<span title = '". $result["explanation"] ."' id='". strtolower(str_replace(array("-", " ", ".",":",","),"",$term["original"])) . "1'>" . $result["term"]. " - " . substr($result["explanation"],0,45) . "</span>");
			if(strlen($result["explanation"])>45){print("...");}}
			else{
print("<span title = '". $result["explanation"] ."' id='". strtolower(str_replace(array("-", " ", ".",":",","),"",$term["original"])) . "1'>" . $stopword. " - norsk ord</span>");
}
			$desc = "";

			if(count($term)>2){
				foreach($term as $results){
									
					if($results["thesaurus"] == 2 && $results["explanation"] == ""){
					$desc = $desc . $results["term"] . " - norsk ord \n";}
					else if ($results["thesaurus"] == 1){
					$desc = $desc . $results["term"] . " - " . $results["explanation"] . "\n";}
					else if ($results["thesaurus"] == 2){
					$desc = $desc . $results["term"] . " - " . $results["explanation"] . "\n";}
					else if ($results["thesaurus"] == 3){
					$desc = $desc . $results["term"] . " - " . $results["explanation"] . "\n";}
				}
			print("<span title = '". $desc . "'><b><font color = 'red'> (Mer)</font></b></span>");
			}
			print ("<br>");
			$print_array[strtoupper($term["original"])] = 1;			
			}
		
		}

		else if($result["thesaurus"] == 2 && $result["explanation"] == ""){
			$stopword=$result["term"];
								
		}
		
	}
	
}


?>
</div>

<div id="info">
<?php
$print_array_link = array();
$count=0;
foreach($temp as $add){
foreach($add as $linking){	
	if($count < 2){
	if($print_array_link[$linking[1]] != 1){
	print '<a href="http://www.pasienthandboka.no/' . $linking[0] . '" target="window">' . $linking[1] . '</a><br><br>';
	$print_array_link[$linking[1]] = 1;}
	$count++;
	}
}

$count=0;	
	
}
  
?>
</div>

<div id="footer">
<p class="footer">Systemet er utviklet for <a href="http://www.rikshospitalet.no/">Rikshospitalet HF</a> av <a href="mailto:kjetil@stallemo.com">Kjetil Stallemo</a> i forbindelse med masteroppgave ved <a href="http://www.ntnu.no/">NTNU</a> 20&copy;08</p>

</div>


</div>

</body>



</html>
