#include <stdlib.h>
#include <string.h>

#include "libs/xsd.h"

int
xsd_boolean(const char *s)
{
	if(!strcmp(s, "true"))
		return 1;

	if(!strcmp(s, "false"))
		return 0;

	/* XXX: Report error? */
	return atoi(s);
}

unsigned int
xsd_positive_integer(const char *s)
{
	/* XXX: Report error? */
	return strtoul(s, NULL, 10);
}
