#ifndef _SYNONYM_ARRAY_H
#define _SYNONYM_ARRAY_H

#include "synonym.h"

struct synonym_array {
	unsigned int n, max;
	struct synonym **synonyms;
};

void synonym_array_init(struct synonym_array *a);
void synonym_array_deinit(struct synonym_array *a, unsigned int free_synonyms);

void synonym_array_insert(struct synonym_array *a, struct synonym *synonym);

#endif
