#include <assert.h>
#include <stdio.h>
#include <stdlib.h>

#include "synonym.h"

void
synonym_init(struct synonym *synonym)
{
	assert(synonym);

	synonym->id = 0;
	synonym->word = NULL;
	synonym->word_length = 0;
	synonym->term = NULL;

	synonym->transformations.translated = 0;
	synonym->transformations.stemmed = 0;
}

void
synonym_deinit(struct synonym *synonym)
{
	assert(synonym);

	free(synonym->word);
}
