#include <assert.h>
#include <stdlib.h>

#include "term.h"

void
term_init(struct term *term)
{
	assert(term);

	term->id = 0;
	term->word = NULL;
	term->word_length = 0;
	term->explanation = NULL;
	term->explanation_length = 0;
}

void
term_deinit(struct term *term)
{
	assert(term);

	free(term->word);
	free(term->explanation);
}
