#ifndef _TERM_H
#define _TERM_H

struct thesaurus;

/* Equivalent of Term in the custom database */
struct term {
	struct term *_prev, *_next;

	unsigned long int id;
	struct thesaurus *thesaurus;
	/* UTF-8 string containing the correct spelling of the word */
	char *word;
	unsigned int word_length;
	/* UTF-8 string containing the explanation */
	char *explanation;
	unsigned int explanation_length;
};

void term_init(struct term *term);
void term_deinit(struct term *term);

#endif
