#ifndef _TRANSFORMATIONS_H
#define _TRANSFORMATIONS_H

struct transformations {
	int translated : 1;
	int stemmed : 1;
};

void
transformations_init(struct transformations *t,
	int translated,
	int stemmed);

void
transformations_or(struct transformations *result,
	const struct transformations *a, const struct transformations *b);

void
transformations_and(struct transformations *result,
	const struct transformations *a, const struct transformations *b);

#endif
