package org.me.service;
import javax.jws.WebService;
import java.io.*;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import org.apache.lucene.search.spell.*;
import org.apache.lucene.*;
import net.sf.classifier4J.*;
import com.aliasi.chunk.*;s
import java.lang.reflect.Field;
import org.omg.PortableInterceptor.SYSTEM_EXCEPTION;

/**
 *
 * @author Kjetil
 */
@WebService()
public class Service {
    
static String chunk(com.aliasi.dict.ExactDictionaryChunker chunker, String text) {
    Chunking chunking = chunker.chunk(text);
    String retur = "";
    for (Chunk chunk : chunking.chunkSet()) {
        int start = chunk.start();
        int end = chunk.end();
        String type = chunk.type();
        double score = chunk.score();
        String phrase = text.substring(start,end);
       retur = retur + ("     phrase=|" + phrase + "|"
                           + " start=" + start
                           + " end=" + end
                           + " type=" + type
                           + " score=" + score);
    }
    return retur;
}

  public static String stripGarbage(String s) {
    String good =
      " abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
    String tokens = "/";
    String result = "";
    for ( int i = 0; i < s.length(); i++ ) {
     if ( good.indexOf(s.charAt(i)) >= 0 )
           result += s.charAt(i);
     if ( tokens.indexOf(s.charAt(i)) >= 0 )
         result += " ";
        }
    return result;
    }

/**
     * Web service operation
     */
    @WebMethod(operationName = "summary")
    public String summary(@WebParam(name = "journal") String journal) {
        
	net.sf.classifier4J.summariser.SimpleSummariser summariser = new net.sf.classifier4J.summariser.SimpleSummariser();
        String result = summariser.summarise(journal, 4);
	return result;
			
    }
   

/**
     * Web service operation
     */
    @WebMethod(operationName = "summary2")
    public String summary2(@WebParam(name = "journal")String journal) {
        try{
            FileInputStream fstream = new FileInputStream("C:/icd.txt");
            DataInputStream in = new DataInputStream(fstream);
            BufferedReader br = new BufferedReader(new InputStreamReader(in));
            com.aliasi.dict.MapDictionary dictionary = new com.aliasi.dict.MapDictionary();
            String strLine = "";
            while ((strLine = br.readLine()) != null){
                dictionary.addEntry(new com.aliasi.dict.DictionaryEntry(strLine,"ICD",1.0));
            }
            String njournal = stripGarbage(journal);
            System.out.println(njournal);
            com.aliasi.dict.ExactDictionaryChunker dictionaryChunkerTT = new com.aliasi.dict.ExactDictionaryChunker(dictionary,com.aliasi.tokenizer.IndoEuropeanTokenizerFactory.FACTORY,false,false);    
            String retur = chunk(dictionaryChunkerTT,njournal);
            return retur;

        }
        catch(Exception e){
    
        }  
          
        
      
        return null;
    }
    



}
