#ifndef _REQUEST_H
#define _REQUEST_H

#include "libs/buffer.h"
#include "libs/io-socket.h"

#include "text-parser.h"

struct request {
	struct buffer DocCategory;
	struct buffer ElementCategory;
	struct buffer SiteUnit;
	struct text_parser Text;

	struct buffer output;
};

extern const struct request_parser_handler request_handler;

void
request_init(struct request *request);

void
request_deinit(struct request *request);

#endif
