#ifndef _BLOOM_FILTER_H
#define _BLOOM_FILTER_H

struct bloom_filter {
	unsigned int size;
	unsigned char *array;

	unsigned int hashes;
};

void bloom_filter_init(struct bloom_filter *filter, unsigned int size, unsigned int hashes);
void bloom_filter_deinit(struct bloom_filter *filter);

void bloom_filter_insert(struct bloom_filter *filter, const char *s, unsigned int l);

#endif
