#ifndef _REQUEST_H
#define _REQUEST_H

#include "libs/buffer.h"

struct request_source_category {
	struct request_source_category *_prev;
	struct request_source_category *_next;

	struct category *category;
};

struct request_source_thesaurus {
	struct request_source_thesaurus *_prev;
	struct request_source_thesaurus *_next;

	struct thesaurus *thesaurus;
};

struct request {
	struct request_source_category categories;
	struct request_source_thesaurus thesauruses;

	struct buffer category_id;
	struct buffer thesaurus_id;
	struct buffer text;
	struct buffer word;

	struct buffer output;
};

extern const struct request_parser_handler request_handler;

void
request_init(struct request *request);

void
request_deinit(struct request *request);

#endif
